org.eclipse.actf.ui.util.timer

## Interface SyncEventListener

All Superinterfaces:
  Runnable

All Known Implementing Classes:
  WaitExecSyncEventListener

    public interface SyncEventListener
    extends Runnable

SyncEventListener interface extends `Runnable` interface. `Runnable.run()` will be called by the `WeakSyncTimer`. `WeakSyncTimer` will call the `Runnable.run()` methods at the interval specified by the `getInterval()` methods.

### Method Summary

Methods
`double` `getInterval()`

### Methods inherited from interface java.lang.Runnable

`run`

### Method Detail

#### getInterval

    double getInterval()

Returns:
  the interval time in form of second. For example, 100 millisecond is 0.1.